Subject: RE: [seamoby] IP on specific L2 (Was ... How to Convince the BAR B to work with IETF?)

From: "Martin, David P" <[email-masked]>
Date: Wed, 7 Mar 2001 08:40:17 -0500

I think it is dangerous to focus on underlying protocols when designing a
new higher level protocol.  To many assumptions could be made, and the
extensibility of the the new protocol would be suspect.

However, I think it is perfectly reasonable to focus on protocol
interoperability.  For example, I think it is perfectly acceptable for a
micro-mobility protocol to have hooks built in for Layer 2 (aka access
network) triggers in order to achieve greater efficiency.  Of course it
would be great if existing layer 2 protocols could take advantage of these
hooks from day one, but if not, that's a layer 2 problem.  I think of
several examples of where this would help in the Mobile IP space, and my
guess is that there maybe some that could help in the seamoby space as well
(we'll find out as we start moving into the solution space).

<snip>
> 
> This really belongs in the realm of W-NIC drivers 
> implementation, unless we want
> to standardize the input /output from WNIC drivers...
> 
> Isn't that the case?
> 
> Theo
> 
> UCL/ Mobile systems
> 
> 
<snip>
> >
> > Do you think the BARB wants a series of "X on Y"
> > working groups where X is a particular mobility technology 
> (manet, mobile-ip,
> > maybe micromo, maybe paging, maybe context transfer) and Y 
> is a particular
> > link layer (Bluetooth, 802.11, etc.)? Or, specifically, do they want
> > such a working group for Bluetooth? How likely is such a 
> working group
> > to be successful when the Bluetooth SIGs seem to have difficulty
> > communicating information between themselves? How do you 
> think IETF can work
> > together with the Bluetooth SIG to develop the kinds of L3 
> protocols that will
> > work on PANs?
> >
> > I'm really confused.
> >
> >                 jak
>